th-constraint-compat-0.0.1.0: Compatibility for type constraint template

Copyright | 2017 Kei Hibino
License | BSD3
Maintainer | ex8k.hibino@gmail.com
Stability | experimental
Portability | unknown
Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.Haskell.TH.Compat.Constraint

Description

This module provides compatibility definitions of constraint context template for before temaplate-haskell-2.9

Synopsis

- classP :: Name -> [Q Type] -> Q Pred

# Documentation

classP :: Name -> [Q Type] -> Q Pred Source #

type-class predicate context. definition to keep backward comatiblity.